Name:           plasma-pk-updates
Version:        0.2
Release:        3%{?dist}
Summary:        Plasma applet for system updates using PackageKit

License:        GPLv2+
URL:            https://github.com/caybro/plasma-pk-updates
Source0:        https://github.com/caybro/plasma-pk-updates/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

# enable by default
Source1:        01-fedora-org.kde.plasma.pkupdates.js

# Upstream patches

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules

BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-plasma-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-knotifications-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-kdelibs4support-devel

BuildRequires:  PackageKit-Qt5-devel

Requires:       kf5-filesystem

%description
%{summary}.

%prep
%setup -q -n %{name}-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# show plasmoid by default
install -m644 -p -D %{SOURCE1} %{buildroot}%{_datadir}/plasma/shells/org.kde.plasma.desktop/updates/01-fedora-org.kde.plasma.pkupdates.js

%files
%{_kf5_datadir}/kservices5/plasma-applet-org.kde.plasma.pkupdates.desktop
%{_kf5_qmldir}/org/kde/plasma/PackageKit/
%{_datadir}/plasma/plasmoids/org.kde.plasma.pkupdates
%{_datadir}/plasma/shells/org.kde.plasma.desktop/updates/01-fedora-org.kde.plasma.pkupdates.js

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.2-2
- Rebuilt for GCC 5 C++11 ABI change

* Tue Apr 07 2015 Jan Grulich <jgrulich@redhat.com> 0.2-1
- update to 0.2

* Mon Mar 30 2015 Rex Dieter <rdieter@fedoraproject.org> 0.1-4
- enable org.kde.plasma.pkupdates by default, except not liveimage (#1206760)

* Mon Mar 23 2015 Jan Grulich <jgrulich@redhat.com> - 0.1-3
- backport minor fixes from upstream

* Mon Mar 23 2015 Jan Grulich <jgrulich@redhat.com> - 0.1-2
- fix URL

* Wed Mar 18 2015 Jan Grulich <jgrulich@redhat.com> - 0.1-1
- Initial relase
